Earth Engine has introduced noncommercial quota tiers to safeguard shared compute resources and ensure reliable performance for everyone. Noncommercial projects use the Community Tier by default, though you can change a project's tier at any time.
Required. The name of the asset to get. name is of the format "projects/*/assets/**" (e.g., "projects/earthengine-legacy/assets/users/[USER]/[ASSET]"). All user-owned assets are under the project "earthengine-legacy" (e.g., "projects/earthengine-legacy/assets/users/foo/bar"). All other assets are under the project "earthengine-public" (e.g., "projects/earthengine-public/assets/LANDSAT").
Authorization requires the following IAM permission on the specified resource name:
earthengine.assets.get
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of EarthEngineAsset.
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Missing the information I need","missingTheInformationINeed","thumb-down"],["Too complicated / too many steps","tooComplicatedTooManySteps","thumb-down"],["Out of date","outOfDate","thumb-down"],["Samples / code issue","samplesCodeIssue","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2025-03-06 UTC."],[],["This documentation details how to retrieve information about an asset using a `GET` request to the Earth Engine API. The required URL format is `https://earthengine.googleapis.com/v1/{name=projects/*/assets/**}`, with the `name` parameter specifying the asset's location within either the \"earthengine-legacy\" or \"earthengine-public\" project. The request body must be empty. A successful response returns an `EarthEngineAsset` instance, and authorization requires specific IAM permissions and OAuth scopes.\n"]]